package com.xy.utils.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 字典子枚举
 */
@Getter
@AllArgsConstructor
public enum DictSonEnum {

    DEVICE_QUALITY_STATUS_QUALIFIED("qualified", "设备质检-合格状态-合格"),

    DEVICE_QUALITY_STATUS_UNQUALIFIED("unqualified", "设备质检-合格状态-不合格"),

    DEVICE_FACTORY_STATUS_NOT_SHIPPED("not_shipped", "设备质检-出厂状态-未出厂"),

    DEVICE_FACTORY_STATUS_SHIPPING("shipping", "设备质检-出厂状态-出厂预处理中"),

    DEVICE_FACTORY_STATUS_CAN_SHIPPED("can_shipped", "设备质检-出厂状态-可出厂"),

    DEVICE_FAULT_LEVEL_PAY_THRESHOLD_NOT_PAY("not_pay", "设备-故障等级-阈值-无法交易"),

    DEVICE_QR_CODE_URL("url", "设备-二维码参数-url"),

    DEVICE_ONLINE_STATUS_CONNECTED("connected", "设备-联网状态-在线"),
    DEVICE_ONLINE_STATUS_DISCONNECT("disconnect", "设备-联网状态-离线"),
    DEVICE_BUSY_STATUS1("1", "设备-运营状态-运营中"),
    DEVICE_BUSY_STATUS2("2", "设备-运营状态-已停运"),
    DEVICE_DATA_TYPE_YEAR("year", "设备统计数据-按年统计"),
    DEVICE_DATA_TYPE_MONTH("month", "设备统计数据-按月统计"),
    DEVICE_DATA_TYPE_DAY("day", "设备统计数据-按日统计"),

    ;

    private String key;

    private String msg;

}
